Skip to content
Permalink
Browse files

Bump dependencies

`tap@^12.5` caused test failures on my machine, so I'm selecting `~12.4` for now.

A dependency update means Node.js 11 now writes experimental warnings. I haven't tracked it down yet but in order not to break the reporter tests I'm now discarding those from the recorded logs.

The mini reporter tests break in Node.js 11 since it now writes output a little differently. I've disabled that test for Node.js 11.
  • Loading branch information...
novemberborn committed Mar 5, 2019
1 parent 82daa5e commit 9600966ffa2452b73aa1d2a6ee9b440002700298
Showing with 1,157 additions and 4,183 deletions.
  1. +1 −1 docs/recipes/flow.md
  2. +1 −1 docs/recipes/typescript.md
  3. +1,126 −4,159 package-lock.json
  4. +20 −19 package.json
  5. +1 −0 test/helper/report.js
  6. +6 −1 test/reporters/mini.js
  7. +1 −1 test/reporters/tap.js
  8. +1 −1 test/reporters/verbose.js
@@ -4,7 +4,7 @@ Translations: [Français](https://github.com/avajs/ava-docs/blob/master/fr_FR/do

AVA comes bundled with a Flow definition file. This allows developers to leverage Flow for writing tests.

This guide assumes you've already set up Flow for your project. Note that AVA's definition as been tested with version 0.91.0.
This guide assumes you've already set up Flow for your project. Note that AVA's definition as been tested with version 0.94.0.

We recommend you use AVA's built-in Babel pipeline to strip Flow type annotations and declarations. AVA automatically applies your project's Babel configuration, so everything may just work without changes. Alternatively install [`@babel/plugin-transform-flow-strip-types`](https://www.npmjs.com/package/@babel/plugin-transform-flow-strip-types) and customize AVA's configuration in the `package.json` file (or the `ava.config.js` file) as follows.

@@ -4,7 +4,7 @@ Translations: [Español](https://github.com/avajs/ava-docs/blob/master/es_ES/doc

AVA comes bundled with a TypeScript definition file. This allows developers to leverage TypeScript for writing tests.

This guide assumes you've already set up TypeScript for your project. Note that AVA's definition has been tested with version 3.2.4.
This guide assumes you've already set up TypeScript for your project. Note that AVA's definition has been tested with version 3.3.3333.

## Configuring AVA to compile TypeScript files on the fly

Large diffs are not rendered by default.

Oops, something went wrong.
@@ -63,21 +63,21 @@
"@ava/babel-preset-stage-4": "^2.0.0",
"@ava/babel-preset-transform-test-files": "^4.0.1",
"@ava/write-file-atomic": "^2.2.0",
"@babel/core": "^7.2.2",
"@babel/generator": "^7.3.0",
"@babel/core": "^7.3.4",
"@babel/generator": "^7.3.4",
"@babel/plugin-syntax-async-generators": "^7.2.0",
"@babel/plugin-syntax-object-rest-spread": "^7.2.0",
"@babel/plugin-syntax-optional-catch-binding": "^7.2.0",
"@concordance/react": "^2.0.0",
"ansi-escapes": "^3.1.0",
"ansi-escapes": "^3.2.0",
"ansi-styles": "^3.2.1",
"arr-flatten": "^1.1.0",
"array-union": "^1.0.1",
"array-uniq": "^2.0.0",
"arrify": "^1.0.0",
"bluebird": "^3.5.3",
"chalk": "^2.4.2",
"chokidar": "^2.0.4",
"chokidar": "^2.1.2",
"chunkd": "^1.0.0",
"ci-parallel-vars": "^1.0.0",
"clean-stack": "^2.0.0",
@@ -90,16 +90,16 @@
"convert-source-map": "^1.6.0",
"currently-unhandled": "^0.4.1",
"debug": "^4.1.1",
"del": "^3.0.0",
"del": "^4.0.0",
"dot-prop": "^4.2.0",
"emittery": "^0.4.1",
"empower-core": "^1.2.0",
"equal-length": "^1.0.0",
"escape-string-regexp": "^1.0.5",
"esm": "^3.2.4",
"esm": "^3.2.10",
"figures": "^2.0.0",
"find-up": "^3.0.0",
"get-port": "^4.1.0",
"get-port": "^4.2.0",
"globby": "^7.1.1",
"ignore-by-default": "^1.0.0",
"import-local": "^2.0.0",
@@ -116,16 +116,16 @@
"lodash.difference": "^4.3.0",
"lodash.flatten": "^4.2.0",
"loud-rejection": "^1.2.0",
"make-dir": "^1.3.0",
"make-dir": "^2.1.0",
"matcher": "^1.1.1",
"md5-hex": "^2.0.0",
"meow": "^5.0.0",
"ms": "^2.1.1",
"multimatch": "^3.0.0",
"observable-to-promise": "^0.5.0",
"ora": "^3.0.0",
"ora": "^3.2.0",
"package-hash": "^3.0.0",
"pkg-conf": "^2.1.0",
"pkg-conf": "^3.0.0",
"plur": "^3.0.1",
"pretty-ms": "^4.0.0",
"require-precompiled": "^0.1.0",
@@ -144,27 +144,27 @@
},
"devDependencies": {
"cli-table3": "^0.5.1",
"codecov": "^3.1.0",
"codecov": "^3.2.0",
"delay": "^4.1.0",
"execa": "^1.0.0",
"flow-bin": "^0.91.0",
"flow-bin": "^0.94.0",
"get-stream": "^4.1.0",
"git-branch": "^2.0.1",
"has-ansi": "^3.0.0",
"lolex": "^3.0.0",
"nyc": "^13.1.0",
"lolex": "^3.1.0",
"nyc": "^13.3.0",
"proxyquire": "^2.1.0",
"react": "^16.7.0",
"react-test-renderer": "^16.7.0",
"react": "^16.8.3",
"react-test-renderer": "^16.8.3",
"replace-string": "^2.0.0",
"signal-exit": "^3.0.0",
"sinon": "^7.2.3",
"sinon": "^7.2.7",
"source-map-fixtures": "^2.1.0",
"tap": "^12.4.0",
"tap": "~12.4.1",
"temp-write": "^3.4.0",
"touch": "^3.1.0",
"ts-node": "^8.0.2",
"typescript": "^3.2.4",
"typescript": "^3.3.3333",
"xo": "^0.24.0",
"zen-observable": "^0.8.13"
},
@@ -174,6 +174,7 @@
"test/fixture/ava-paths/target/test.js",
"test/fixture/{source-map-initial,syntax-error}.js",
"test/fixture/snapshots/test-sourcemaps/build/**",
"test/fixture/power-assert.js",
"**/*.ts",
"test/flow-types/*"
],
@@ -64,6 +64,7 @@ exports.assert = (t, logFile, buffer, stripOptions) => {

exports.sanitizers = {
cwd: str => replaceString(str, process.cwd(), '~'),
experimentalWarning: str => str.replace(/^\(node:\d+\) ExperimentalWarning.+\n/g, ''),
lineEndings: str => replaceString(str, '\r\n', '\n'),
posix: str => replaceString(str, '\\', '/'),
slow: str => str.replace(/(slow.+?)\(\d+m?s\)/g, '$1 (000ms)'),
@@ -2,6 +2,11 @@
require('../helper/report').captureStdIOReliability();
require('../helper/fix-reporter-env')();

// Excessive writes occur in Node.js 11. These don't have a visual impact but prevent the integration tests from passing.
if (process.version.startsWith('v11')) {
process.exit(0); // eslint-disable-line unicorn/no-process-exit
}

const path = require('path');
const {test} = require('tap');
const TTYStream = require('../helper/tty-stream');
@@ -15,7 +20,7 @@ const run = (type, sanitizers = []) => t => {

const tty = new TTYStream({
columns: 200,
sanitizers: [...sanitizers, report.sanitizers.cwd, report.sanitizers.posix, report.sanitizers.unreliableProcessIO, report.sanitizers.version]
sanitizers: [...sanitizers, report.sanitizers.cwd, report.sanitizers.experimentalWarning, report.sanitizers.posix, report.sanitizers.unreliableProcessIO, report.sanitizers.version]
});
const reporter = new MiniReporter({
spinner: {
@@ -15,7 +15,7 @@ const run = (type, sanitizers = []) => t => {

const tty = new TTYStream({
columns: 200,
sanitizers: [...sanitizers, report.sanitizers.cwd, report.sanitizers.posix, report.sanitizers.unreliableProcessIO]
sanitizers: [...sanitizers, report.sanitizers.cwd, report.sanitizers.experimentalWarning, report.sanitizers.posix, report.sanitizers.unreliableProcessIO]
});
const reporter = new TapReporter({
reportStream: tty,
@@ -15,7 +15,7 @@ const run = (type, sanitizers = []) => t => {

const tty = new TTYStream({
columns: 200,
sanitizers: [...sanitizers, report.sanitizers.cwd, report.sanitizers.posix, report.sanitizers.slow, report.sanitizers.unreliableProcessIO, report.sanitizers.version]
sanitizers: [...sanitizers, report.sanitizers.cwd, report.sanitizers.experimentalWarning, report.sanitizers.posix, report.sanitizers.slow, report.sanitizers.unreliableProcessIO, report.sanitizers.version]
});
const reporter = new VerboseReporter({
reportStream: tty,

0 comments on commit 9600966

Please sign in to comment.
You can’t perform that action at this time.